Bug 1770383 - yum update from 6.6 to 6.7 gives post scriptlet failures for foreman-installer rpm
Summary: yum update from 6.6 to 6.7 gives post scriptlet failures for foreman-installe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Packaging
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-08 20:23 UTC by Nikhil Kathole
Modified: 2020-04-14 13:26 UTC (History)
1 user (show)

Fixed In Version: foreman-installer-1.24.0-0.7.RC2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:26:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:26:33 UTC

Description Nikhil Kathole 2019-11-08 20:23:08 UTC
Description of problem:

 Updating   : 1:foreman-installer-1.24.0-0.6.RC2.el7sat.noarch                                                                            68/168 
warning: /etc/foreman-installer/scenarios.d/foreman-answers.yaml created as /etc/foreman-installer/scenarios.d/foreman-answers.yaml.rpmnew
warning: /etc/foreman-installer/scenarios.d/foreman.yaml created as /etc/foreman-installer/scenarios.d/foreman.yaml.rpmnew
ERROR: Selected scenario is DISABLED, can not continue.
       Use --list-scenarios to list available options.
       You can also --enable-scenario SCENARIO to make the selected scenario available.
warning: %post(foreman-installer-1:1.24.0-0.6.RC2.el7sat.noarch) scriptlet failed, exit status 27
Non-fatal POSTIN scriptlet failure in rpm package 1:foreman-installer-1.24.0-0.6.RC2.el7sat.noarch
  Updating   : 1:foreman-installer-katello-1.24.0-0.6.RC2.el7sat.noarch                                                                    69/168 
warning: /etc/foreman-installer/scenarios.d/foreman-proxy-content-answers.yaml created as /etc/foreman-installer/scenarios.d/foreman-proxy-content-answers.yaml.rpmnew
warning: /etc/foreman-installer/scenarios.d/foreman-proxy-content.yaml created as /etc/foreman-installer/scenarios.d/foreman-proxy-content.yaml.rpmnew
warning: /etc/foreman-installer/scenarios.d/katello-answers.yaml created as /etc/foreman-installer/scenarios.d/katello-answers.yaml.rpmnew
warning: /etc/foreman-installer/scenarios.d/katello.yaml created as /etc/foreman-installer/scenarios.d/katello.yaml.rpmnew
ERROR: Selected scenario is DISABLED, can not continue.
       Use --list-scenarios to list available options.
       You can also --enable-scenario SCENARIO to make the selected scenario available.
ERROR: Selected scenario is DISABLED, can not continue.
       Use --list-scenarios to list available options.
       You can also --enable-scenario SCENARIO to make the selected scenario available.
warning: %post(foreman-installer-katello-1:1.24.0-0.6.RC2.el7sat.noarch) scriptlet failed, exit status 27
Non-fatal POSTIN scriptlet failure in rpm package 1:foreman-installer-katello-1.24.0-0.6.RC2.el7sat.noarch
  Updating   : foreman-proxy-content-3.14.0-0.3.rc1.el7sat.noarch                                                                          70/168 
  Updating   : satellite-installer-6.7.0.2-1.beta.el7sat.noarch                                                                            71/168 
warning: /etc/foreman-installer/scenarios.d/satellite-answers.yaml created as /etc/foreman-installer/scenarios.d/satellite-answers.yaml.rpmnew
  Updating   : rubygem-rubyipmi-0.10.0-4.el7sat.noarch                                                                                     72/168 
  Updating   : foreman-proxy-1.24.0-0.4.RC2.el7sat.noarch                                                                


Version-Release number of selected component (if applicable):
Satellite 6.7 snap 1


How reproducible: always


Steps to Reproduce:
1. Install 6.6
2. Configure 6.7 repos
3. yum update

Actual results:

Errors and Non-fatal POSTIN scriptlet failure in rpm package 1:foreman-installer-1.24.0-0.6.RC2.el7sat.noarch


Expected results:

No errors.


Additional info:

Comment 4 Nikhil Kathole 2019-11-08 20:28:11 UTC
I see 2 issues:

1. warning: %post(foreman-installer-1:1.24.0-0.6.RC2.el7sat.noarch) scriptlet failed, exit status 27
Non-fatal POSTIN scriptlet failure in rpm package 1:foreman-installer-1.24.0-0.6.RC2.el7sat.noarch

2. ERROR: Selected scenario is DISABLED, can not continue.
       Use --list-scenarios to list available options.
       You can also --enable-scenario SCENARIO to make the selected scenario available.

Let me know if we need separate issue for 2.

Comment 7 Nikhil Kathole 2019-11-21 12:29:51 UTC
VERIFIED

Version tested:
Satellite 6.7 snap 2

No errors as above seen on yum update.

Comment 11 errata-xmlrpc 2020-04-14 13:26:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.